import { getElementFromFixture } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ReactiveFormsModule } from '@angular/forms';
import { FileUploadButtonComponent, SpinnerIconComponent } from '@ods/system';
import { getDataTestIdOf } from 'libs/tech-shared/test/data-test';
import { ValidationErrorComponent } from 'libs/ui/src/lib/ui/validation-error/validation-error.component';
import { MockComponent } from 'ng-mocks';
import { SingleFileUploadEditorComponent } from './single-file-upload-editor.component';

describe('SingleFileUploadEditorComponent', () => {
  let component: SingleFileUploadEditorComponent;
  let fixture: ComponentFixture<SingleFileUploadEditorComponent>;

  const buttonTestId: string = getDataTestIdOf('Ein_Label-single-file-upload-button');

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        SingleFileUploadEditorComponent,
        FileUploadButtonComponent,
        MockComponent(ValidationErrorComponent),
        MockComponent(SpinnerIconComponent),
      ],
      imports: [ReactiveFormsModule],
      providers: [],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(SingleFileUploadEditorComponent);
    component = fixture.componentInstance;
    component.label = 'Ein Label';
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  it('should have upload button', () => {
    const element: HTMLElement = getElementFromFixture(fixture, buttonTestId);

    expect(element).toBeInstanceOf(HTMLElement);
  });
});
