import { moduleMetadata, type Meta, type StoryObj } from '@storybook/angular';

import { AttachmentComponent } from '../attachment/attachment.component';
import { AttachmentContainerComponent } from './attachment-container.component';

const meta: Meta<AttachmentContainerComponent> = {
  title: 'Containers/Attachment container',
  component: AttachmentContainerComponent,
  parameters: {
    docs: {
      description: {
        component: 'Container for multiple attachments',
      },
    },
  },
  decorators: [
    moduleMetadata({
      imports: [AttachmentContainerComponent, AttachmentComponent],
    }),
  ],
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<AttachmentContainerComponent>;

export const Default: Story = {
  render: () => ({
    template: `<ods-attachment-container>
        <ods-attachment caption="Attachment" description="200 kB" fileType="pdf"></ods-attachment>
        <ods-attachment caption="Second attachment" description="432 kB" fileType="doc"></ods-attachment>
    </ods-attachment-container>`,
  }),
};
