import { moduleMetadata, type Meta, type StoryObj } from '@storybook/angular';

import { AttachmentContainerComponent } from '../attachment-container/attachment-container.component';
import { AttachmentComponent } from '../attachment/attachment.component';
import { BescheidStatusTextComponent } from '../bescheid-status-text/bescheid-status-text.component';
import { BescheidContainerComponent } from './bescheid-container.component';

const meta: Meta<BescheidContainerComponent> = {
  title: 'Containers/Bescheid container',
  component: BescheidContainerComponent,
  parameters: {
    docs: {
      description: {
        component: 'Container for bescheid information',
      },
    },
  },
  decorators: [
    moduleMetadata({
      imports: [
        AttachmentComponent,
        AttachmentContainerComponent,
        BescheidContainerComponent,
        BescheidStatusTextComponent,
      ],
    }),
  ],
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<BescheidContainerComponent>;

export const Default: Story = {
  render: () => ({
    template: `<ods-bescheid-container>
        <ods-bescheid-status-text
            bewilligt="true"
            dateText="13.11.2024"
            [hasBescheidDraft]="false"
        ></ods-bescheid-status-text>
        <ods-attachment-container>
            <ods-attachment caption="Attachment" description="200 kB" fileType="pdf"></ods-attachment>
            <ods-attachment caption="Second attachment" description="432 kB" fileType="doc"></ods-attachment>
        </ods-attachment-container>
    </ods-bescheid-container>`,
  }),
};
