import type { Meta, StoryObj } from '@storybook/angular';

import { CloseIconComponent } from './close-icon.component';

const meta: Meta<CloseIconComponent> = {
  title: 'Icons/Close icon',
  component: CloseIconComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<CloseIconComponent>;

export const Default: Story = {
  args: { size: 'medium' },
  argTypes: {
    size: {
      control: 'select',
      options: ['small', 'medium', 'large', 'extra-large', 'full'],
      description: 'Size of icon. Property "full" means 100%',
      table: {
        defaultValue: { summary: 'small' },
      },
    },
  },
};
