import { BescheidResource } from '@alfa-client/bescheid-shared';
import { PostfachService } from '@alfa-client/postfach-shared';
import { VorgangService } from '@alfa-client/vorgang-shared';
import { DIALOG_DATA, DialogRef } from '@angular/cdk/dialog';
import { Component, Inject, OnInit } from '@angular/core';
import { BescheidenFormService } from './bescheiden.formservice';
import { BescheidenDialogData } from './bescheiden.model';

@Component({
  selector: 'alfa-vorgang-detail-bescheiden',
  templateUrl: './vorgang-detail-bescheiden.component.html',
  providers: [BescheidenFormService],
})
export class VorgangDetailBescheidenComponent implements OnInit {
  private readonly bescheidDraftResource: BescheidResource;

  public activeStep: number = 1;

  constructor(
    public dialogRef: DialogRef,
    public readonly formService: BescheidenFormService,
    private readonly vorgangService: VorgangService,
    private readonly postfachService: PostfachService,
    @Inject(DIALOG_DATA) private readonly dialogData: BescheidenDialogData,
  ) {
    this.bescheidDraftResource = dialogData.bescheidDraftResource;
  }

  ngOnInit(): void {
    this.formService.setVorgangWithEingangResource(this.dialogData.vorgangWithEingangResource);
    this.formService.patchValues(this.bescheidDraftResource);
  }

  public onClose(): void {
    this.dialogRef.close();
    this.vorgangService.reloadCurrentVorgang();
    this.postfachService.setPostfachMailOnReload();
  }
}
