/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { BinaryFileListResource } from '@alfa-client/binary-file-shared';
import { CommandOrder, CreateCommand } from '@alfa-client/command-shared';
import { ListResource, StateResource } from '@alfa-client/tech-shared';
import { Resource, ResourceUri } from '@ngxp/rest';
import { BehaviorSubject } from 'rxjs';

export interface Wiedervorlage {
  done: boolean;
  betreff: string;
  beschreibung: string;
  frist: Date;
  createdAt: Date;
  attachments: ResourceUri[] | string;
}

export interface WiedervorlageResource extends Wiedervorlage, Resource {}
export interface WiedervorlageListResource extends ListResource {}

export interface CreateWiedervorlageCommand extends CreateCommand {
  order: CommandOrder;
  wiedervorlage: Wiedervorlage;
}

export interface BinaryFileListByWiedervorlageUri {
  [uri: ResourceUri]: BehaviorSubject<StateResource<BinaryFileListResource>>;
}
