/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import {
  FormatToPrettyDatePipe,
  ToTrafficLightTooltipPipe,
  createStateResource,
} from '@alfa-client/tech-shared';
import { mock } from '@alfa-client/test-utils';
import { MatTooltipDirective } from '@alfa-client/ui';
import { WiedervorlageService } from '@alfa-client/wiedervorlage-shared';
import { createWiedervorlageListResource } from 'libs/wiedervorlage-shared/test/wiedervorlage';
import { MockComponent } from 'ng-mocks';
import { of } from 'rxjs';
import { WiedervorlageStatusComponent } from '../wiedervorlage-status/wiedervorlage-status.component';
import { WiedervorlageListInVorgangListContainerComponent } from './wiedervorlage-list-in-vorgang-list-container.component';

describe('WiedervorlageListInVorgangListContainerComponent', () => {
  let component: WiedervorlageListInVorgangListContainerComponent;
  let fixture: ComponentFixture<WiedervorlageListInVorgangListContainerComponent>;

  const wiedervorlageService = {
    ...mock(WiedervorlageService),
    getWiedervorlageListResource: () => of(createStateResource(createWiedervorlageListResource())),
  };

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        WiedervorlageListInVorgangListContainerComponent,
        MatTooltipDirective,
        FormatToPrettyDatePipe,
        ToTrafficLightTooltipPipe,
        MockComponent(WiedervorlageStatusComponent),
      ],
      providers: [
        {
          provide: WiedervorlageService,
          useValue: wiedervorlageService,
        },
      ],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(WiedervorlageListInVorgangListContainerComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
