/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.vorgang;

import static de.ozgcloud.alfa.common.TestUtils.*;

import java.time.ZonedDateTime;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.alfa.common.user.UserProfileTestFactory;
import de.ozgcloud.alfa.vorgang.Vorgang.VorgangStatus;
import de.ozgcloud.common.test.TestUtils;

public class VorgangHeaderTestFactory {

	public static final String ID = createMongoDbObjectId();
	public static final long VERSION = 42L;
	public static final String NAME = LoremIpsum.getInstance().getWords(10);
	public static final VorgangStatus STATUS = VorgangStatus.NEU;
	public static final String CREATED_AT_STR = "2021-01-10T10:30:00Z";
	public static final ZonedDateTime CREATED_AT = ZonedDateTime.parse(CREATED_AT_STR);
	public static final String NUMMER = "VorgangNummerTest123";
	public static final String AKTENZEICHEN = "0123456789XY";
	public static final String ASSIGNED_TO = "paul";

	public static VorgangHeader create() {
		return createBuilder().build();
	}

	public static VorgangHeader.VorgangHeaderBuilder createBuilder() {
		return VorgangHeader.builder()
				.id(ID)
				.version(VERSION)
				.name(NAME)
				.nummer(NUMMER)
				.status(STATUS)
				.createdAt(CREATED_AT)
				.assignedTo(UserProfileTestFactory.ID);
	}

	public static String createHasNewPostfachNachrichtContent(boolean hasNewPostfachNachricht) {
		return TestUtils.loadTextFile("jsonTemplates/command/hasNewPostfachNachricht.json.tmpl", String.valueOf(hasNewPostfachNachricht));
	}
}